#!/usr/bin/env bash

if [ $# -eq 0 ]; then
  echo "Usage: $0 path/to/envitopnm"
  exit 1
fi

rm -f video.mp4
for i in `ls chip*.img`
do
  $1 --image=$i --autoscale=percent --bands=0,0,0 | pnmtopng > $i.png
done

ffmpeg -framerate 5 -i chip%02d.img.png -s:v 180:180 -c:v libx264 -profile:v high -crf 20 -pix_fmt yuv420p video.mp4

rm chip*.img.png
